"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = __importDefault(require("fs"));
var constants_1 = require("./constants");
var log_1 = require("./log");
var getToken = function (token) {
    log_1.debug('Reading contents of the credentials file');
    var credentialsFileContents = fs_1.default.readFileSync(constants_1.CREDENTIALS_PATH).toString();
    log_1.debug('Successfully read the contents of the file');
    log_1.debug('Checking token exists in the file');
    var lines = credentialsFileContents.split('\n');
    var credentialLine = lines.find(function (line) { return line.includes(token); });
    if (!credentialLine) {
        return false;
    }
    return credentialLine.replace(token, '').replace(constants_1.KEY_SEPARATOR, '');
};
exports.default = getToken;
